--[[
    Author: Alternator (Massiner of Nathrezim)
    Date:	2020
    
    * The only important data here are the ID's, the names etc are just to help to track
        what each entry is.
    * Some spells have the same name for casting. In order to get around this the below
        table is used to identify them so they can be cast by SpellID... for unknown reasons
        certain spells will not cast by ID so we only do this sparingly (and hope the ones with
        a name conflict can be cast be ID)
]]

local AddonName, AddonTable = ...;
local Engine = AddonTable.ButtonEngine;
local SpellCastByID = Engine.SpellCastByID;


local function AddSpellCastByID(Class, Name, SubDetail, SpellID)
    SpellCastByID[SpellID] = true;
end



AddSpellCastByID("Shaman", "Hex", "Frog"		, 51514);
AddSpellCastByID("Shaman", "Hex", "Compy"		, 210873);
AddSpellCastByID("Shaman", "Hex", "Spider"		, 211004);
AddSpellCastByID("Shaman", "Hex", "Snake"		, 211010);
AddSpellCastByID("Shaman", "Hex", "Cockroach"	, 211015);
AddSpellCastByID("Shaman", "Hex", "Skeletal Hatchling"		, 269352);
AddSpellCastByID("Shaman", "Hex", "Zandalari Tendonripper"	, 277778);
AddSpellCastByID("Shaman", "Hex", "Wicker Mongrel"			, 277784);
AddSpellCastByID("Shaman", "Hex", "Living Honey"			, 309328);
--AddSpellCastByID("Death Knight", "Obliteration", "Talent"		, 281238);
--AddSpellCastByID("Death Knight", "Obliterate", "Ability"		, 49020);
